* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Nunito", sans-serif;
}

 button {
  border: none;
  outline: none;
  padding: 15px 0;
  color: #fff;
  font-size: 16px;
  letter-spacing: 1px;
  background: #603bbb;
  cursor: pointer;
}
.todo-title {
  font-family: Architects Daughter;
  font-size: 50px;
  margin-left: 3%;
  color: #52417c;
}

.inputbox {
  width: 150px;
  height: 35px;
  border: 1.5px;
  border-style: ridge;
  border-radius: 5px;
  margin-left: 3%;
  transition: width 0.5s ease-in-out;
  background: rgb(223, 234, 236);
}
.inputbox:focus {
  width: 300px;
}

.login {
  width: 100%;
  min-height: 100vh;
  padding: 0 20px;
  background: #e9e9e9;
  display: flex;
}

.login .loginContainer {
  padding: 60px;
  margin: auto;
  width: 100%;
  max-width: 520px;
  min-height: 600px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  background: radial-gradient(
    ellipse at left bottom,
    rgba(22, 24, 47, 1) 0%,
    rgba(38, 20, 72, 0.9) 59%,
    rgba(17, 27, 75, 0.9) 100%
  );
  box-shadow: 0 50px 70px -20px rgba(0, 0, 0, 0.8);
}

.login .loginContainer label {
  color: white;
  margin: 14px 0;
  display: block;
  font-size: 22px;
  line-height: 1;
}

.login .loginContainer input {
  width: 100%;
  border: none;
  outline: none;
  font-size: 19px;
  padding: 10px;
  background: rgba(255, 255, 255, 0.1);
  color: #fff;
  letter-spacing: 1px;
}

.login .loginContainer .btnContainer {
  width: 100%;
  padding: 24px 0;
}

.login .loginContainer .btnContainer p {
  margin: 14px 0 0 0;
  text-align: right;
  color: #fff;
}

.login .loginContainer .btnContainer p span {
  color: yellow;
  font-weight: 500;
  letter-spacing: 0.5px;
  margin-left: 5px;
  cursor: pointer;
  transition: all 400ms ease-in-out;
}

.login .loginContainer .btnContainer p span:hover {
  color: red;
}

.login .loginContainer .errorMsg {
  color: red;
  font-size: 16px;
}

.hero {
  width: 100%;
  min-height: 100vh;
}

.hero nav {
  background: #603bbb;
  width: 100%;
  padding: 20px 40px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.hero nav h2 {
  color: #fff;
}

.hero nav button {
  width: 86px;
  padding: 8px 0;
  background: #3a2b58;
}

a:link{
  text-decoration: none;
}

.taskdone {
  opacity: 0.3;
  text-decoration: line-through;
  transition: width 0.5s ease-in-out;
}
.buttonfield{
  margin-left: 43%;
  font-size: 20px;
  letter-spacing: 5px;
  padding: 8px 0;
  display: flex;
}
.button-default {
  background-color: rgb(190, 241, 226);
  border: none;
  /*border-style: solid;
  border-width: 1px; */
  color: black;
  padding: 10px 20px;
  border-radius: 5px;
  box-shadow: 2px 4px 2px grey;
}
.button-default:hover {
  background-color: green;
  color: pink;
}
.button-default:active {
  background-color: green;
  box-shadow: 2px 0px 2px grey;
  transform: translateY(5px);
}

.button-active {
  background-color: rgb(25, 163, 25);
  border: none;
  /* border-style: solid;
  border-width: 1px; */
  color: black;
  padding: 10px 20px;
  border-radius: 5px;
  box-shadow: 0.5px 0.5px 0.5px grey;
}
.button-active:hover {
  cursor: not-allowed;
}

.button-delete {
  background-color: red;
  border: none;
  color: white;
  padding: 5px 10px;
  border-radius: 5px;
  box-shadow: 2px 4px 2px grey;
}
.button-delete:hover {
  background-color: Maroon;
}
.button-delete:active {
  background-color: Maroon;
  box-shadow: 2px 0px 2px grey;
  transform: translateY(5px);
}
.button-Toggle {
  border: none;
  background-color: rgb(74, 74, 236);
  /* border-style: solid;
  border-width: 1px; */
  color: black;
  padding: 10px 20px;
  border-radius: 5px;
  box-shadow: 2px 4px 2px grey;
}
.button-Toggle:hover {
  background-color: blue;
}
.button-Toggle:active {
  background-color: blue;
  box-shadow: 2px 0px 2px grey;
  transform: translateY(5px);
}